#
# Globalstar
#
# $Id: globalstar.tcl,v 1.4 2004/12/26 14:47:20 lloydwood Exp $

set SATS_PER_PLANE 6
set NUM_PLANES 8

# setup orbital elements
set a [expr 1406.0+$RADIUS_OF_EARTH]
set e 0.0
set inc 52.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

set coverage_angle 10.0

satellites GV_BEGIN
for {set j 0} {$j < $NUM_PLANES} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_PLANES]
	for {set i 0} {$i < $SATS_PER_PLANE} {incr i} {
		set T [expr $T_per * ( double($i) / $SATS_PER_PLANE - 7.5/360.0*$j) ]
		set n [satellites LOAD $a $e $inc $Omega $omega $T]
		if {$i > 0} {satellites ORBIT_SET $n 0}
	}
}
satellites GV_END
